Subject: Re: [X2Go-Dev] Bug#475: Also seen on Centos 6.5 with Windows 7 client

From: Alan Fitch <[email-masked]>
Date: Mon, 28 Jul 2014 13:16:36 +0100

On 25.07.2014 20:38, Mike Gabriel wrote:
> Hi Alan,
>
> On  Fr 25 Jul 2014 00:44:29 CEST, Alan Peter Fitch wrote:
>
>> I've seen this on Centos 6.5 with the Windows 7 x2go client, both 
>> 4.0.2.0.
>>
>> I tried downgrading the client all the way back to 3.11 with no 
>> effect.
>>
>> One interesting point - a colleague running x2goclient on Ubuntu 12 
>> LTS
>> (client version was 3.99) did *not* experience the problem.
>>
>> In my environment it makes x2go unusable, so I'm now investigating 
>> xpra
>> to get the resume/suspend functionality.
>
> Can you detect where exactly the sesion startup hangs?
>
> My guess is that you have an everlasting x2gostartagent process on
> the  X2Go Server machine that loops endlessly while detecting a free
> TCP/IP  port for binding its forwarding tunnel endpoints to.
>
> We have to rely on a little testing here. Thanks.

Hi Mike,
     I've done some more testing. I tried running Questasim on the 
cluster controller node (not on one of the cluster machines) and it was 
just as bad.
Again x2goagent was consuming up to 70% CPU, which was slowing window 
re-draws right down.

I ran strace -p pid where pid was the process ID of x2go agent, and 
captured a log. Here is a short extract:

Process 14310 attached - interrupt to quit
ioctl(7, FIONREAD, [0])                 = 0
write(7, "\2\"\0\0\0\0\377\377", 8)     = 8
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
select(8, [7], [], NULL, {5, 0})        = 1 (in [7], left {4, 998540})
ioctl(7, FIONREAD, [13])                = 0
read(7, "\32\r\22\270#`A\2\0\0\0\377\377", 65536) = 13
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
write(7, "\2\"\0\0\0\0\377\377", 8)     = 8
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
select(8, [7], [], NULL, {5, 0})        = 1 (in [7], left {4, 995499})
ioctl(7, FIONREAD, [13])                = 0
read(7, "\32\r\22\270#`A\2\0\0\0\377\377", 65536) = 13
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
write(7, "\2\"\0\0\0\0\377\377", 8)     = 8
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
select(8, [7], [], NULL, {5, 0})        = 1 (in [7], left {4, 998045})
ioctl(7, FIONREAD, [13])                = 0
read(7, "\32\r\22\270#`A\2\0\0\0\377\377", 65536) = 13

I've got 270K(!) of this if there's some way to upload an attachment,

regards
Alan

> Mike

-- 
Alan Fitch
(Home)